## Sqrt
Return the square root of the parameter

### Declaration
```glsl
float sqrt(float x)  
vec2 sqrt(vec2 x)  
vec3 sqrt(vec3 x)  
vec4 sqrt(vec4 x)
```

### Parameters
```x``` specify the value of which to take the square root.

### Description
```sqrt()``` returns the square root of ```x```.

<div class="simpleFunction" data="y = sqrt(x); "></div>

<div class="codeAndCanvas" data="../07/circle-making.frag"></div>

### See Also
[inversesqrt](index.html#inversesqrt.md), [pow](index.html#pow.md), [Chapter 05: Shaping Functions](../05/)